Having Future Path of Ship Touch Planetary Surface During Burn Triggers "Suborbital Flight"
Milestone
Description

Situation:
Put a ship in a BIG orbit with an inclination less than 90" around a planet you've never been to before. Create a manuever node to
increase the inclination to greater than 90* and do this burn.

As you do the burn, the Pe of the ship's future path will pull down through the surface to the center of the planet and then go back out
into space as the arc of the path flips over to the new inclination.

When the ship's future path first touches the planet's surface, it will trigger the milestone "entered suborbital flight" for that planet,
even though the ship itself was nowhere near the planet and the future path only was in contact with the planet's surface for an
instant.

History

#1 - 01/25/2016 04:23 PM - Kasuha

On Kerbin, suborbital flight is triggered when the ship is on suborbital trajectory above the atmosphere. On other bodies the altitude condition should
probably be reversed, i.e. suborbital flight triggers when the ship is on suborbital trajectory below certain altitude limit.

#2 - 07/17/2016 09:43 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/23/2016 03:37 PM - bewing

| disagree with Kashua. When a projected orbit touches the surface, it's suborbital. Even if it's just for an instant, and even if you are just inside the
SOI. This is not a bug -- it is working just the way it should.

#4 - 07/24/2016 03:40 AM - Geschosskopf

The issue IMHO is that you can get the "suborbital flight" milestone despite never going near the planet, just by changing your inclination from one
side of 90” to the other.

| myself tend to define "suborbital" as a ballistic trajectory starting and ending on the ground. This in fact seems to be the generally accepted
definition. Therefore, IMHO a ship should not trigger the "suborbital flight" milestone unless it has already landed on that planet. And there needs to
be some minimum Ap altitude (expressed as a fraction of the planet's radius if there's no atmosphere) when doing this to avoid it triggering on
bouncing during a hard landing. But the bottom line is, you should not get a "suborbital" milestone for an impacting trajectory before you actually land
on the planet.
